Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class MappingDocument

    java.lang.Object
      org.hibernate.metamodel.source.hbm.MappingDocument

    public class MappingDocument

extends Object

Aggregates together information about a mapping document.

Constructor Summary
`MappingDocument(JaxbRoot<JaxbHibernateMapping> hbmJaxbRoot, MetadataImplementor metadata)`

Method Summary
`JaxbRoot<JaxbHibernateMapping>` | `getJaxbRoot()`
`HbmBindingContext` | `getMappingLocalBindingContext()`
`JaxbHibernateMapping` | `getMappingRoot()`
`Origin` | `getOrigin()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingDocument

    public MappingDocument(JaxbRoot<JaxbHibernateMapping> hbmJaxbRoot,
                           MetadataImplementor metadata)

Method Detail

### getMappingRoot

    public JaxbHibernateMapping getMappingRoot()

### getOrigin

    public Origin getOrigin()

### getJaxbRoot

    public JaxbRoot<JaxbHibernateMapping> getJaxbRoot()

### getMappingLocalBindingContext

    public HbmBindingContext getMappingLocalBindingContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.